Name: arpwatch
Version: 2.1a11
Release: alt5
Epoch: 2

Summary: Network monitoring tools for tracking IP addresses on the network.
Summary(ru_RU.KOI8-R):     IP   .
Group: Monitoring
Copyright: BSD
Url: ftp://ftp.ee.lbl.gov

Source: %url/%name-%version.tar.bz2
Source1: %name.init

Patch1: %name-2.1a4-fhs.patch
Patch2: %name-2.1a10-man.patch

PreReq(post,preun): chkconfig
Requires: MTA

# Automatically added by buildreq on Mon Nov 18 2002
BuildRequires: libpcap-devel

%description
The %name package contains %name and arpsnmp.  Arpwatch and arpsnmp
are both network monitoring tools.  Both utilities monitor Ethernet or
FDDI network traffic and build databases of Ethernet/IP address pairs,
and can report certain changes via email.

Install the %name package if you need networking monitoring devices
which will automatically keep traffic of the IP addresses on your
network.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export ac_cv_path_V_SENDMAIL=/usr/sbin/sendmail
%configure
%define _vararpwatch %_localstatedir/%name

%make_build ARPDIR=%_vararpwatch

%install
mkdir -p $RPM_BUILD_ROOT{%_vararpwatch,%_sbindir,%_man8dir,%_initdir}
%make_install DESTDIR=$RPM_BUILD_ROOT install install-man

install -p -m755 arp2ethers massagevendor $RPM_BUILD_ROOT%_vararpwatch
install -p -m644 *.awk *.dat $RPM_BUILD_ROOT%_vararpwatch

install -p -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name

%__subst -p 's,#!/bin/csh.*.*,#!/bin/sh,' $RPM_BUILD_ROOT%_vararpwatch/arp2ethers 

%post
%post_service %name

%preun
%preun_service %name

%files
%_sbindir/*
%_mandir/man?/*
%config(noreplace) %_initdir/%name
%dir %_vararpwatch
%config(noreplace) %_vararpwatch/arp.dat
%_vararpwatch/ethercodes.dat
%_vararpwatch/*.awk
%_vararpwatch/arp2ethers
%_vararpwatch/massagevendor
%doc README CHANGES

%changelog
* Wed Nov 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2:2.1a11-alt5
- fix deps on csh

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 2:2.1a11-alt4
- rebuild
- use {post/preun}_server macros

* Wed May 15 2002 Dmitry V. Levin <ldv@altlinux.org> 2:2.1a11-alt3
- Updated dependencies (smtpdaemon --> MTA).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:2.1a11-alt2
- Rebuilt with libpcap-0.7.1.
- Updated dependencies.

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 2.1a11-alt1
- 2.1a11

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.1a10-ipl2mdk
- Rebuilt with libpcap-0.6.1.

* Tue Oct 17 2000 Dmitry V. Levin <ldv@fandra.org> 2.1a10-ipl1mdk
- 2.1a10
- Split from tcpdump.
